QT       += core gui webenginewidgets multimedia websockets network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

QMAKE_CXXFLAGS_RELEASE += -O2 -GL
QMAKE_CXXFLAGS_DEBUG += -Zi

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    answerWidget.cpp \
    awBackground.cpp \
    awExamScore.cpp \
    awHandinPaper.cpp \
    awMsgBox.cpp \
    awQuestionNavigate.cpp \
    awResumeExam.cpp \
    awTimeLeftTips.cpp \
    awWaitExam.cpp \
    awqn_item.cpp \
    clEditPassword.cpp \
    clMobileLogin.cpp \
    clNoticeDetail.cpp \
    clNoticeList.cpp \
    clNoticePopWidget.cpp \
    clObjectiveScore.cpp \
    clOfflineExam.cpp \
    clOnlineExam.cpp \
    clOnlineHomework.cpp \
    clOnlinePractice.cpp \
    clStudentInfo.cpp \
    cloeUploadFile.cpp \
    cloeViewPaper.cpp \
    clopPaperDetail.cpp \
    clopPaperReport.cpp \
    clopReport.cpp \
    clopResultList.cpp \
    courseList.cpp \
    environmentalTest.cpp \
    etCameraTest.cpp \
    etMobileTest.cpp \
    etNetworkTest.cpp \
    etTestResult.cpp \
    etTimeTest.cpp \
    etVoiceTest.cpp \
    etWhetherEnvTest.cpp \
    main.cpp \
    login.cpp \
    privacyWidget.cpp \
    welcomeWidget.cpp \
    CLiveViodeProc.cpp \

HEADERS += \
    answerWidget.h \
    awBackground.h \
    awExamScore.h \
    awHandinPaper.h \
    awMsgBox.h \
    awQuestionNavigate.h \
    awResumeExam.h \
    awTimeLeftTips.h \
    awWaitExam.h \
    awqn_item.h \
    clEditPassword.h \
    clMobileLogin.h \
    clNoticeDetail.h \
    clNoticeList.h \
    clNoticePopWidget.h \
    clObjectiveScore.h \
    clOfflineExam.h \
    clOnlineExam.h \
    clOnlineHomework.h \
    clOnlinePractice.h \
    clStudentInfo.h \
    cloeUploadFile.h \
    cloeViewPaper.h \
    clopPaperDetail.h \
    clopPaperReport.h \
    clopReport.h \
    clopResultList.h \
    courseList.h \
    environmentalTest.h \
    etCameraTest.h \
    etMobileTest.h \
    etNetworkTest.h \
    etTestResult.h \
    etTimeTest.h \
    etVoiceTest.h \
    etWhetherEnvTest.h \
    login.h \
    privacyWidget.h \
    welcomeWidget.h \
    CLiveViodeProc.h \

FORMS += \
    answerWidget.ui \
    awBackground.ui \
    awExamScore.ui \
    awHandinPaper.ui \
    awMsgBox.ui \
    awQuestionNavigate.ui \
    awResumeExam.ui \
    awTimeLeftTips.ui \
    awWaitExam.ui \
    awqn_item.ui \
    clEditPassword.ui \
    clMobileLogin.ui \
    clNoticeDetail.ui \
    clNoticeList.ui \
    clNoticePopWidget.ui \
    clObjectiveScore.ui \
    clOfflineExam.ui \
    clOnlineExam.ui \
    clOnlineHomework.ui \
    clOnlinePractice.ui \
    clStudentInfo.ui \
    cloeUploadFile.ui \
    cloeViewPaper.ui \
    clopPaperDetail.ui \
    clopPaperReport.ui \
    clopReport.ui \
    clopResultList.ui \
    courseList.ui \
    environmentalTest.ui \
    etCameraTest.ui \
    etMobileTest.ui \
    etNetworkTest.ui \
    etTestResult.ui \
    etTimeTest.ui \
    etVoiceTest.ui \
    etWhetherEnvTest.ui \
    login.ui \
    privacyWidget.ui \
    welcomeWidget.ui

UI_DIR += ./forms_client
RCC_DIR += ./tmp_client
MOC_DIR += ./tmp_client
OBJECTS_DIR += ./tmp_client

RC_ICONS = images/coe.ico

include(../common/common.pri)
include(../component/component.pri)
include(../face/face.pri)
include(../question/question.pri)

BREAKPAD_PATH = C:/project/qtPlugins/breakpad/src
INCLUDEPATH += ../common/ \
    ../component/ \
    ../face/ \
    ../question/ \
    ../3rdPart/TX_TRTC_SDK/Win32/include/  \
    ../3rdPart/TX_TRTC_SDK/Win32/include/Live/ \
    ../3rdPart/TX_TRTC_SDK/Win32/include/TRTC/ \
    ../3rdPart/TX_TRTC_SDK/Win32/include/Vod/ \
    $$BREAKPAD_PATH \

LIBS +=-LC:/project/workspace/oline-exam-cloud/3rdPart/TX_TRTC_SDK/Win32/lib -lliteav \

CONFIG(release, debug|release): LIBS += -L$$BREAKPAD_PATH/client/windows/Release/lib -lcommon -lcrash_generation_client -lcrash_generation_server -lexception_handler
CONFIG(debug, debug|release): LIBS +=  -L$$BREAKPAD_PATH/client/windows/Debug/lib -lcommon -lcrash_generation_client -lcrash_generation_server -lexception_handler


# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    rc.qrc
